Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLTableColElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLTableColElementImpl

public final class HTMLTableColElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLTableColElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:12 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLTableColElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLTableColElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()`
`java.lang.String` | `getCh()`
`java.lang.String` | `getChOff()`
`int` | `getSpan()`
`java.lang.String` | `getVAlign()`
`java.lang.String` | `getWidth()`
`void` | `setAlign(java.lang.String align)`
`void` | `setCh(java.lang.String ch)`
`void` | `setChOff(java.lang.String chOff)`
`void` | `setSpan(int span)`
`void` | `setVAlign(java.lang.String vAlign)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLTableColElementImpl

    public HTMLTableColElementImpl(HTMLDocumentImpl owner,
                                   java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Specified by:
    getAlign in interface org.w3c.dom.html.HTMLTableColElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface org.w3c.dom.html.HTMLTableColElement

### getCh

    public java.lang.String getCh()

  Specified by:
    getCh in interface org.w3c.dom.html.HTMLTableColElement

### setCh

    public void setCh(java.lang.String ch)

  Specified by:
    setCh in interface org.w3c.dom.html.HTMLTableColElement

### getChOff

    public java.lang.String getChOff()

  Specified by:
    getChOff in interface org.w3c.dom.html.HTMLTableColElement

### setChOff

    public void setChOff(java.lang.String chOff)

  Specified by:
    setChOff in interface org.w3c.dom.html.HTMLTableColElement

### getSpan

    public int getSpan()

  Specified by:
    getSpan in interface org.w3c.dom.html.HTMLTableColElement

### setSpan

    public void setSpan(int span)

  Specified by:
    setSpan in interface org.w3c.dom.html.HTMLTableColElement

### getVAlign

    public java.lang.String getVAlign()

  Specified by:
    getVAlign in interface org.w3c.dom.html.HTMLTableColElement

### setVAlign

    public void setVAlign(java.lang.String vAlign)

  Specified by:
    setVAlign in interface org.w3c.dom.html.HTMLTableColElement

### getWidth

    public java.lang.String getWidth()

  Specified by:
    getWidth in interface org.w3c.dom.html.HTMLTableColElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface org.w3c.dom.html.HTMLTableColElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD